//+------------------------------------------------------------------+
//|                                                        ADXSignal.mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Blue

double ADXBreach[]; 

extern int ADXlevel = 40; 
extern int ADXperiod = 14;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

SetIndexStyle(0, DRAW_ARROW, EMPTY);
SetIndexArrow(0, 111);
SetIndexBuffer(0, ADXBreach);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() 
  {
   int limit, i, counter; 
   double Range, AvgRange;
   int    counted_bars=IndicatorCounted();
//----
   if(counted_bars<0) return(-1);
//----
   if(counted_bars>0) counted_bars--;
   
   limit=Bars-counted_bars;
   
  for(i = 0; i <= limit; i++) {
   
      counter=i;
      Range=0;
      AvgRange=0;
      for (counter=i ;counter<=i+9;counter++)
      {
         AvgRange=AvgRange+MathAbs(High[counter]-Low[counter]);
      }
      Range=AvgRange/10;

double ADX1=iADX(NULL,0,ADXperiod,0,MODE_MAIN,i);
double ADX2=iADX(NULL,0,ADXperiod,0,MODE_MAIN,i+1);

if ((ADX1 < ADXlevel) && (ADX2 >= ADXlevel))
  { ADXBreach[i] = Low[i] - Range*0.8; }
}
   return(0);
  }
//+------------------------------------------------------------------+